Subject: [bug#64708] [PATCH 0/8] Fix cross build and native build for the Hurd.

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Tue, 18 Jul 2023 23:38:45 +0200

Ludovic Courtès writes:

Hi!

> Janneke Nieuwenhuizen <[email-masked]> skribis:
>
>> From: Josselin Poiret <[email-masked]>
>>
>> Now that mig-boot0 has been updated not to use mig's source, we can
>> safely update mig.
>>
>> * gnu/packages/hurd.scm (mig)[source]: Update to 1.8+git20230520.
>
> This one could be avoided, at least for now, due to
> 4e11cac6be68a674c16965dc74e7da54cd3168df and the tarball we’re hosting
> on ftp.gnu.org.  (We could also avoid the corresponding change in
> ‘mig-boot0’.)

I believe we'd rather re-instate this change to build mig fram git
so that we can do --with-commit to track all the neat things that
upstream is doing, right Josselin?

> But really, either way is fine, as long as both cross-compilation and
> native compilation work after that.  :-)

Sure!

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com